[Launch]
AppName=DriverUpdaterPortable
ProgramExecutable=DriverUpdater\DriverUpdater.exe
WorkingDirectory="%PAL:Drive%%PAL:PackagePartialDir%\Driver"
RunAsAdmin=force
CleanTemp=false
SinglePortableAppInstance=true

[Activate]    
Registry=true 

[RegistryKeys]
BSDM=HKEY_LOCAL_MACHINE\SOFTWARE\BSD\DriverHiveEngine
BSDU=HKEY_CURRENT_USER\Software\BSD\PCZ
DriverUpdater=HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics

[RegistryValueWrite]
HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics\Driver Updater\1.x\Settings\App.Application.FileName=REG_SZ:%PAL:AppDir%\DriverUpdater\DriverUpdater.exe
HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics\Driver Updater\1.x\Settings\Application.LocalStoragePath=REG_SZ:%PAL:Drive%%PAL:PackagePartialDir%\Driver\Backup
HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics\Driver Updater\1.x\Settings\DriverUpdater.LocalStoragePath=REG_SZ:%PAL:Drive%%PAL:PackagePartialDir%\Driver
HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics\Driver Updater\1.x\Settings\Application.SendInfo=REG_DWORD:0

[RegistryCleanupIfEmpty]
1=HKEY_LOCAL_MACHINE\SOFTWARE\Auslogics
2=HKEY_LOCAL_MACHINE\SOFTWARE\BSD\DriverHiveEngine
3=HKEY_LOCAL_MACHINE\SOFTWARE\BSD
4=HKEY_CURRENT_USER\Software\BSD\PCZ
5=HKEY_CURRENT_USER\Software\BSD

[DirectoriesMove]
BSD="%ALLUSERSAPPDATA%\BSD"
Auslogics="%ALLUSERSAPPDATA%\Auslogics"

[DirectoriesCleanupIfEmpty]
1="%ALLUSERSAPPDATA%\BSD"
2="%ALLUSERSAPPDATA%\Auslogics"
